Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.util
Class SourceCode.Annotation

    java.lang.Object
      org.apache.openjpa.persistence.util.SourceCode.Annotation

Enclosing class:
  SourceCode

    public class SourceCode.Annotation

extends Object

Represents annotation.

Constructor Summary
`SourceCode.Annotation(String n)`

Method Summary
`
`<K,V> SourceCode.Annotation`
` | `addArgument(SourceCode.Argument<K,V> arg)`
`SourceCode.Annotation` | `addArgument(String key, String v)`
`SourceCode.Annotation` | `addArgument(String key, String[] vs)`
`SourceCode.Annotation` | `addArgument(String key, String v, boolean quote)`
`(package private) String` | `quote(String s)`
`void` | `write(PrintWriter out, int tab)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceCode.Annotation

    SourceCode.Annotation(String n)

Method Detail

### addArgument

    public SourceCode.Annotation addArgument(String key,
                                             String v,
                                             boolean quote)

### addArgument

    public SourceCode.Annotation addArgument(String key,
                                             String v)

### addArgument

    public SourceCode.Annotation addArgument(String key,
                                             String[] vs)

### addArgument

    public <K,V> SourceCode.Annotation addArgument(SourceCode.Argument<K,V> arg)

### write

    public void write(PrintWriter out,
                      int tab)

### quote

    String quote(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.